Subject: Cookie generation in SCTP

From: Dirk Borowski <[email-masked]>
Date: Wed, 19 Feb 2003 18:37:27 +0100

Dear all,

I have some questions about SCTP cookies.

Is it possible to get a detailed description about how a cookie for SCTP 
looks like or an example cookie to get a feeling how to implement one ?

All we found in the standard is that some steps SHOULD be taken to 
generate the State Cookie but there is no actual format described.

It is my guts feeling, that the actual format of the cookie parameter is 
implementation depended. Or is there a common format that has been 
agreed upon (hashing function, etc)?

If yes, are there already any implementations or existing java classes 
which provides cookie generation ?

Thanks in advance for your answers

Nice regards
Dirk